# do not provide plugins .so
%define	_exclude_files_from_autoprov	%{_libdir}/%{name}/.*\\.so

Summary:	Ultimate music player for GNU/Linux
Name:		deadbeef
Version:	0.5.6
Release:	%mkrel 3
License:	GPLv2+
Group:		Sound/Players
Url:		http://deadbeef.sourceforge.net
Source0:	http://sourceforge.net/projects/deadbeef/files/%{name}-%{version}.tar.bz2
BuildRequires:	libalsa-devel
BuildRequires:	gtk2-devel
BuildRequires:	gtk+3.0-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libcurl-devel
BuildRequires:	libmad-devel
#BuildRequires:	ffmpeg-devel
BuildRequires:	libflac-devel
BuildRequires:	libwavpack-devel
BuildRequires:	libcdio-devel
BuildRequires:	libcddb-devel
BuildRequires:	intltool >= 0.40
BuildRequires:	libzip-devel
BuildRequires:	libstdc++-static-devel
BuildRequires:	dbus-devel
BuildRequires:	imlib2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpulseaudio-devel
BuildRequires:	libfaad2-devel
BuildRequires:	bison
BuildRequires:	yasm

%description
DeaDBeeF is an audio player for GNU/Linux systems with 
X11 written in C and C++.

Features:
* minimal depends
* native GTK2/GTK3 GUI
* cuesheet support
* mp3
* ogg
* flac
* ape
* chiptune formats with subtunes
* song-length databases
* small memory footprint

%package devel
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}

%description devel
Development files and headers for %{name}.

%prep
%setup -qn %{name}-%{version}

%build
# ffmpeg 0.11 or higher isn't supported
%configure2_5x \
	--disable-ffmpeg \
	--disable-static \
	--disable-rpath

%make

%install
%makeinstall_std

# desktop file is not standard and only the beginning is ok
rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop
head -n 14 < %{name}.desktop > %{buildroot}%{_datadir}/applications/%{name}.desktop

#handle docs in files section
rm -rf %{buildroot}%{_docdir}/%{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name} %{name}.lang

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%doc about.txt help.txt translators.txt
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/pixmaps
%{_bindir}/%{name}
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/*.so*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/pixmaps/*.png
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/deadbeef.svg
%{_libdir}/%{name}/convpresets/*.txt

%files devel
%{_includedir}/%{name}/


%changelog
* Thu Oct 31 2013 tmb <tmb> 0.5.6-3.mga4
+ Revision: 548159
- Mageia 4 rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.5.6-2.mga4.tainted
+ Revision: 389214
+ rebuild (emptylog)

* Fri Jan 11 2013 umeabot <umeabot> 0.5.6-2.mga3.tainted
+ Revision: 348711
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 wally <wally> 0.5.6-1.mga3.tainted
+ Revision: 310699
- fix RPM group
- new version 0.5.6
- enable gtk3 gui support
- clean .spec a bit

* Wed Jun 06 2012 shlomif <shlomif> 0.5.5-1.mga3.tainted
+ Revision: 256291
- New version - 0.5.5

* Sat Mar 03 2012 malo <malo> 0.5.2-0.beta1.1.mga2.tainted
+ Revision: 217514
- fix for desktop file
- spec clean-up after import from Mandriva.
- imported package deadbeef

